Store Pages

11 endpoints

GET/v1/stores/{storeId}/pages

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/pages" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/pages

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/pages" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/pages/{id}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/pages/{id}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

PATCH/v1/stores/{storeId}/pages/{id}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X PATCH "https://api.feeef.org/v1/stores/{storeId}/pages/{id}" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

DELETE/v1/stores/{storeId}/pages/{id}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired
bash
curl -X DELETE "https://api.feeef.org/v1/stores/{storeId}/pages/{id}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/pages/{id}/duplicate

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/pages/{id}/duplicate" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/pages/{id}/preview

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/pages/{id}/preview" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/pages/{id}/publish

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/pages/{id}/publish" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/pages/{id}/unpublish

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/pages/{id}/unpublish" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/pages/public

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/pages/public" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/stores/{storeId}/pages/resolve

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/pages/resolve" \
  -H "Authorization: Bearer $FEEEF_TOKEN"